# Rigol DG2052 Python Library

__\[fn_gen\]__ The Function Generator SCPI library in Python

### Description:

A library for usage with SCPI compliant function generators (for now the DG2000 series from rigol)

### Installation:

```bash
python -m build
pip install dist/fn_gen-0.0.2-py3-none-any.whl
```

### Usage:

```python
from fn_gen import DG2052

if __name__ == "__main__":
  fg = DG2052("TCPIP::192.168.1.11::INSTR")
  print(fg.whoami())
```

other examples are available in the [examples](./examples) folder.
